Public Member Functions

# StringCompare Struct Reference

Comparator for strings. More...

`#include <string_compare_type.hpp>`

## Public Member Functions
bool | operator() (const char *a, const char *b) const
| Compare two strings.
bool | operator() (const char *a, const char *b) const
| Compare a to b using strcmp.

## Detailed Description

Comparator for strings.

Simple string comparator using strcmp as implementation.

Definition at line 16 of file string_compare_type.hpp.

## Member Function Documentation

bool StringCompare::operator() | ( | const char * | a,
|  | const char * | b |
| ) |  |  | const`[inline]`

Compare two strings.

Parameters:

  | a | The first string.
  | b | The second string.

Returns:
  True is the first string is deemed "lower" than the second string.

Definition at line 23 of file string_compare_type.hpp.

bool StringCompare::operator() | ( | const char * | a,
|  | const char * | b |
| ) |  |  | const`[inline]`

Compare a to b using strcmp.

Parameters:

  | a | string to compare.
  | b | string to compare.

Returns:
  whether a is less than b.

Definition at line 132 of file depend.cpp.

The documentation for this struct was generated from the following files:

- src/core/string_compare_type.hpp
- src/depend/depend.cpp